[Tomboy] tomboy screenlet does not display notes

Bug #477017 reported by HungryOctopus on 2009-11-06
36
This bug affects 4 people
Affects Status Importance Assigned to Milestone
Individual Screenlets
Medium
Unassigned
screenlets (Debian)
Fix Released
Unknown
screenlets (Ubuntu)
Medium
Unassigned
Karmic
Undecided
Unassigned

Bug Description

Binary package hint: screenlets

I am using karmic 9.10 (in the previous version 9.04 the application worked correctly) which I installed using a clean install.

Expected result:
The tomboy notes screenlet should display the headers of all the notes you have, and clicking on the headers should open the note itself.

Actual result:
The tomboy notes screenlet displays its title bar, but no headers beneath it, despite the fact I have multiple notes within tomboy.

ProblemType: Bug
Architecture: i386
Date: Fri Nov 6 17:53:09 2009
DistroRelease: Ubuntu 9.10
InstallationMedia: Ubuntu 9.10 "Karmic Koala" - Release i386 (20091028.5)
Package: screenlets 0.1.2-7
PackageArchitecture: all
ProcEnviron:
 LANG=en_US.UTF-8
 SHELL=/bin/bash
ProcVersionSignature: Ubuntu 2.6.31-14.48-generic
SourcePackage: screenlets
Uname: Linux 2.6.31-14-generic i686

Frank Cheung (fcuk112) wrote :

managed to reproduce bug.

Changed in screenlets (Ubuntu):
status: New → In Progress
assignee: nobody → FRANK CHEUNG (fcuk112)
Frank Cheung (fcuk112) wrote :

since version 0.15.6 and later the Tomboy paths have been modified.

Notes: ~/.local/share/tomboy/
Configuration and add-ins: ~/.config/tomboy/
Caches: ~/.cache/tomboy/
Log: ~/.config/tomboy/tomboy.log

updating notes path to the new one.

Frank Cheung (fcuk112) wrote :

uploaded debdiff, adding motu sponsors.

Changed in screenlets (Ubuntu):
status: In Progress → Confirmed
Frank Cheung (fcuk112) wrote :

sorry bit new to this. proper debdiff file attached.

Julien Lavergne (gilir) wrote :

Thanks for the patch. Some comments :
- doc files should not be updated in the patch. You should reduce the patch to only the modification you done on python and files in debian/ folder.
- you can't patch directly the source, you need to add a patch to the patch system instead (here, the package use quilt as patch system)
- screenlets is in universe, so you should subscribe ubuntu-universe-sponsors instead of ubuntu-main-sponsors
- Please don't assign the bug to yourself when you have finished to work on it

Changed in screenlets (Ubuntu):
status: Confirmed → Incomplete
importance: Undecided → Medium

Sorry, very new to this. How does one apply the .debdiff patch? I am having the same issue and would like to see if this fixes it.

Frank Cheung (fcuk112) wrote :

try again... attached quilt patch and subscribed ubuntu-universe-sponsors.

Changed in screenlets (Ubuntu):
assignee: FRANK CHEUNG (fcuk112) → nobody
status: Incomplete → Confirmed
Frank Cheung (fcuk112) wrote :

BTW, thanks for your advice Julien!

Matt, the code checks the environment variable TOMBOY_PATH before defaulting to ~/.local/share/tomboy. so you can do export TOMBOY_PATH=~/.local/share/tomboy and execute the script directly using python.

Julien Lavergne (gilir) wrote :

Thanks Frank, it's better but not finished :)
In your quilt patch, you need to have only the modification on the source, not the change in the changelog.
To be easier, you can restart, by doing the following :
- in the screenlets directory : quilt push -a (which apply all patches with quilt)
- create the new patch : quilt new 20-tomboy-update-path.patch
- choose the file you need to modify : quilt add src/share/screenlets/Tomboy/TomboyScreenlet.py
- make your modification on src/share/screenlets/Tomboy/TomboyScreenlet.py
- generate the patch : quilt refresh
- update debian/changelog, set lucid for distribution, it needs to go to lucid before karmic.
- change the Maintainer field in debian/control (see https://wiki.ubuntu.com/DebianMaintainerField)
- generate the debdiff :
debuild -S -sa
debdiff ../screenlets_0.1.2-7.dsc ../screenlets_0.1.2-7ubuntu1.dsc > ../screenlets_0.1.2-7ubuntu1.debdiff

You should have a good debdiff :)

Julien,

Thanks for your detailed instructions. I followed your instructions to
the letter, starting from a fresh source pulldown. However, the debdiff
at the end contains the doc changes - even though I only touched the py
script. Does this look OK to you? I have attached the generated
debdiff.

Cheers, Frank.

On Sun, 2009-11-08 at 12:40 +0000, Julien Lavergne wrote:
> Thanks Frank, it's better but not finished :)
> In your quilt patch, you need to have only the modification on the source, not the change in the changelog.
> To be easier, you can restart, by doing the following :
> - in the screenlets directory : quilt push -a (which apply all patches with quilt)
> - create the new patch : quilt new 20-tomboy-update-path.patch
> - choose the file you need to modify : quilt add src/share/screenlets/Tomboy/TomboyScreenlet.py
> - make your modification on src/share/screenlets/Tomboy/TomboyScreenlet.py
> - generate the patch : quilt refresh
> - update debian/changelog, set lucid for distribution, it needs to go to lucid before karmic.
> - change the Maintainer field in debian/control (see https://wiki.ubuntu.com/DebianMaintainerField)
> - generate the debdiff :
> debuild -S -sa
> debdiff ../screenlets_0.1.2-7.dsc ../screenlets_0.1.2-7ubuntu1.dsc > ../screenlets_0.1.2-7ubuntu1.debdiff
>
> You should have a good debdiff :)
>

Strange that the doc is generated. Anyway, you can after remove manually this part directly in the patch. I'll upload the debdiff included without the doc, and with a tiny modification in debian/control.

For inclusion in Karmic, please follow https://wiki.ubuntu.com/StableReleaseUpdates

It's also nice to forward the change to Debian. But as I'm the Debian maintainer of screenlets, no need to open a bug, I'll include it directly.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package screenlets - 0.1.2-7ubuntu1

---------------
screenlets (0.1.2-7ubuntu1) lucid; urgency=low

  * Updated tomboy notes folder path. (LP: #477017)
 -- Frank Cheung <email address hidden> Sun, 08 Nov 2009 13:18:33 +0000

Changed in screenlets (Ubuntu):
status: Confirmed → Fix Released

Hi, upstream Tomboy maintainer here. This check is still not exactly correct. As you can see on our wiki [0], notes go in XDG_DATA_HOME/tomboy. Yes, XDG_DATA_HOME defaults to ~/.local/share/ , but there are a lot of ways to modify that, and I have seen a lot of Ubuntu users making such modifications lately.

For Python, there's a package (pyxdg or python-xdg or something like that) that takes care of this for you, so I recommend using it.

Do keep the TOMBOY_PATH check, though...we still offer that as a way to override the location of the note directory.

Anyway, cool project! Thanks for supporting Tomboy! :-)

[0] http://live.gnome.org/Tomboy/Directories

Changed in screenlets (Debian):
status: Unknown → New

Thanks. Yes, using python-xdg, you can read config files directly. With
something like this :

from xdg import BaseDirectory
config_path = []
for dir in BaseDirectory.load_config_paths('tomboy'):
 config_path.append(dir)

Le samedi 14 novembre 2009 à 02:40 +0000, Sandy Armstrong a écrit :
> Hi, upstream Tomboy maintainer here. This check is still not exactly
> correct. As you can see on our wiki [0], notes go in
> XDG_DATA_HOME/tomboy. Yes, XDG_DATA_HOME defaults to ~/.local/share/ ,
> but there are a lot of ways to modify that, and I have seen a lot of
> Ubuntu users making such modifications lately.
>
> For Python, there's a package (pyxdg or python-xdg or something like
> that) that takes care of this for you, so I recommend using it.
>
> Do keep the TOMBOY_PATH check, though...we still offer that as a way to
> override the location of the note directory.
>
> Anyway, cool project! Thanks for supporting Tomboy! :-)
>
> [0] http://live.gnome.org/Tomboy/Directories
>

Changed in screenlets (Ubuntu):
status: Fix Released → Fix Committed
status: Fix Committed → Fix Released

Committed in revision 478 of screenlets trunk.

Changed in screenlets:
status: New → Fix Committed
importance: Undecided → Medium
Papp Bence (sclegnrbs) on 2010-12-27
affects: screenlets → indiv-screenlets
Papp Bence (sclegnrbs) on 2010-12-27
summary: - tomboy screenlet does not display notes
+ [Tomboy] tomboy screenlet does not display notes
Märt Põder (boamaod) on 2011-06-27
Changed in indiv-screenlets:
status: Fix Committed → Fix Released
Adolfo Jayme (fitojb) on 2014-02-28
Changed in screenlets (Ubuntu Karmic):
status: New → Won't Fix
Changed in screenlets (Debian):
status: New → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.